﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CustomUrls.aspx.cs" Inherits="Mogul.SeoManager.modules.MogulSeoUrl.CustomUrls, Mogul.SeoManager" MasterPageFile="" %>
<%@ Import Namespace="Mogul.SeoManager.Logic.Common" %>
<%@ Import Namespace="Mogul.SeoManager.Logic.Data" %>
<%@ Import Namespace="Mogul.SeoManager.modules.MogulSeoUrl" %>
<%@ Register Src="UserControls/HeaderRegion.ascx" TagName="HeaderRegion" TagPrefix="uc" %>
<%@ Register Src="UserControls/Header.ascx" TagName="Header" TagPrefix="uc" %>
<%@ Register Src="UserControls/TabNavigation.ascx" TagName="TabNavigation" TagPrefix="uc" %>
<%@ Register tagPrefix="EPiServerUI" namespace="EPiServer.UI.WebControls" assembly="EPiServer.UI" %>

<asp:content contentplaceholderid="HeaderContentRegion" runat="server">
    <uc:HeaderRegion ID="HeaderRegionControl" runat="server"/>
</asp:content>

<asp:content id="ContentMainRegion" contentplaceholderid="FullRegion" runat="server">
    <uc:Header ID="headerControl" runat="server"/>

    <div class="clearfix" id="content-container">
        <uc:TabNavigation ID="tabNavigationControl" runat="server" />
        <div id="content">
            <section id="urlmanagement">
                <p><%= ViewModel.HeadingAdd %></p>
                <a href="EditCustomAddress.aspx?urlid=0&pn=<%= Request.QueryString["pn"] %>" class="button addbutton" title="<%= ViewModel.ButtonAddUrlsText%>"><%= ViewModel.ButtonAddUrlsText%></a>
                <a href="BulkLoadNotFoundUrls.aspx?pn=<%= Request.QueryString["pn"] %>" id="bulkLoadUrlsButton" class="button" title="<%= ViewModel.BulkLoadUrlsText %>"><%= ViewModel.BulkLoadUrlsText %></a>
                <a href="LoadNotFoundUrlsFromGoogle.aspx?pn=<%= Request.QueryString["pn"] %>" id="loadUrlsFromGoogleButton" class="button" title="<%= ViewModel.LoadUrlsFromGoogleText %>"><%= ViewModel.LoadUrlsFromGoogleText %></a>
                <p><%= ViewModel.HeadingDeleteBig %></p>
                <asp:LinkButton ID="btnDeleteAll" CssClass="button r" OnClick="btnDeleteAll_Click" runat="server" />
                <asp:LinkButton ID="btnDeleteAllLanguage" CssClass="button r" OnClick="btnDeleteAllLanguage_Click" runat="server" />
                <asp:LinkButton ID="btnDeleteChecked" runat="server" OnClick="btnDeleteChecked_Click" CssClass="button r" />

                <p><%= ViewModel.PreserveQueryStrings %></p>
                <a href="#" class="button" onclick="return showPreserve();"><%= ViewModel.SetPreserving %></a>
                <asp:Label ID="lblPreserve" CssClass="bl" runat="server"><%= ViewModel.PreservingUpdated %></asp:Label>
                <div id="divPreserve">
                    <asp:DropDownList ID="ddlPreserve" runat="server" /><br />
                    <asp:LinkButton ID="lbUpdate" CssClass="up" OnClick="lbUpdate_Click" runat="server" /><a href="#" onclick="return hidePreserve();"><%= ViewModel.Cancel %></a>
                </div>

                <div class="filter">
                    <p><%= ViewModel.HeadingFilter %></p>
                    <asp:DropDownList ID="ddFilterLanguages" OnSelectedIndexChanged="ddLanguages_SelectedIndexChanged" AutoPostBack="True" runat="server"/>
                    <asp:DropDownList ID="ddlCustomURL" runat="server" OnSelectedIndexChanged="ddlCustomURL_OnSelectedIndexChanged" AutoPostBack="true"/>
                    <asp:Textbox ID="txtFilter" runat="server" /><br />
                    <asp:LinkButton ID="btnFilter" CssClass="button bl" runat="server" OnClick="btnFilter_OnClick" />
                </div>
                <table class="seoTabList editable" cellspacing="0" cellpadding="0">
                    <tr>
                        <th class="c1"><%= ViewModel.HeadingAllUrls %></th>
                        <th class="c2"><%= ViewModel.HeadingRedirectingTo %></th>
                        <th class="c3"><%= ViewModel.HeadingLanguage %></th>
                        <th class="c4"><%= ViewModel.HeadingEdit %></th>
                        <th class="c5"><%= ViewModel.HeadingDelete %></th>
                        <th class="c6"><%= ViewModel.Select %> <input type="checkbox" class="allCB" name="allCB" title="<%= ViewModel.CheckAll %>"  /></th>
                    </tr> 
                    <asp:Repeater ID="rptCustomUrls" runat="server">
                        <ItemTemplate>
                            <tr>
                                <td class="c1">
                                    <a href="<%#((UrlData)Container.DataItem).GetRequestUrlHref() %>" title="<%#((UrlData)Container.DataItem).GetTitle(ViewModel.PatternLinkWarning) %>" onclick="<%# ((UrlData)Container.DataItem).GetOnClickJs() %>" target="_blank">
                                        <%# ((UrlData)Container.DataItem).RequestUrl%>
                                    </a>
                                </td>
                                <td class="c2"><%# ((UrlData)Container.DataItem).RedirectUrl%></td>
                                <td class="c3"><%# GetLang(ViewModel.LanguageTranslations, ((UrlData)Container.DataItem).Language) %></td>
                                <td><%#AdminManager.GetRelativeEditPopupLink(Container.DataItem, ViewModel.HeadingEdit, true)%></td>
                                <td class="custDelete"><EPiServerUI:ToolButton ID="ToolButton1" Enabled="<%# ((UrlData)Container.DataItem).CustomSetting %>" 
                                    OnCommand="btnRemoveClick" CommandArgument="<%# ((UrlData)Container.DataItem).ObjectId %>" ToolTip="<%# ViewModel.HeadingDelete %>"
                                    OnClientClick="<%# ViewModel.AreYouSure %>" CssClassInnerButton="epi-cmsButton-tools epi-cmsButton-Delete btnRemove" runat="server" />
                                </td>
                                <td class="cB"><input type="checkbox" name="cb<%# ((UrlData)Container.DataItem).ObjectId %>" /></td>
                            </tr>
                        </ItemTemplate>
                    </asp:Repeater>
                </table>
                <div id="pager">
                   <asp:Repeater ID="rptPaging" OnItemCommand="ItemCommand" runat="server">
                      <ItemTemplate>
                         <asp:LinkButton ID="lbP" CommandArgument="<%# Container.DataItem %>" Text="<%# Container.DataItem %>" runat="server"></asp:LinkButton>
                      </ItemTemplate>
                   </asp:Repeater>
                </div>
                <div class="pgStatus">
                    <%= ViewModel.HitsText %>
                </div>
            </section>
        </div>
    </div>
    <script type="text/javascript">
        $(document).ready(function () {
            $('.allCB').change(function () {
                $("td.cB input").prop('checked', $(this).prop("checked"));
                if ($(this).prop("checked")) {
                    $(this).prop('title', "<%= ViewModel.UnCheckAll %>");
                }
                else {
                    $(this).prop('title', "<%= ViewModel.CheckAll %>");
                }
            })
        });
        function showPreserve() {
            $('#divPreserve').show();
            return false;
        }
        function hidePreserve() {
            $('#divPreserve').hide();
            return false;
        }
    </script>
</asp:content>