﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="EditMetaData.aspx.cs" Inherits="Mogul.SeoManager.modules.MogulSeoUrl.EditMetaData, Mogul.SeoManager" %>

<%@ Import Namespace="Mogul.SeoManager.Logic.Data" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Edit meta data</title>
    <script type="text/javascript" src="js/libs/jquery-1.9.1.min.js"></script>
	<link rel="stylesheet" href="css/style2.css?v=3.1.0" />
</head>
<body id="edit-modal" class="b404">
    <form id="form1" runat="server" EnableViewState="true">
	    <div class="modal">
		    <h3><%= ViewModel.HeadlineText %></h3>
            <p><%= ViewModel.UrlText %></p>
            <%= ViewModel.SiteUrlText %><input type="<%= ViewModel.UrlInputType %>" id="RequestUrl" name="RequestUrl" value="<%= ViewModel.UrlDataItem.RequestUrl %>"/><br />
        <% if (!String.IsNullOrEmpty(Request.QueryString["lang"])) { %>
            <label for="ddLanguages"><strong><%= ViewModel.LanguageText %></strong></label>
            <asp:DropDownList runat="server" ID="ddLanguages" ClientIDMode="Static"></asp:DropDownList>
            <div class="editContainer" style="height:280px;">
        <% } else { %>
            <div class="editContainer" style="height:340px;">
        <% } %>
                <input type="hidden" name="UrlType" value="<%= ViewModel.UrlType %>"/>
                <input type="hidden" name="UrlDataItemId" value="<%= ViewModel.UrlDataItem.ObjectId %>"/>
                <label for="RequestUrl"><strong><%= ViewModel.MetadataText %></strong></label>
                <table>
                    <tr>
                        <th>&nbsp;</th>
                        <th><%= ViewModel.MetaNameText %></th>
                        <th><%= ViewModel.MetaValueText %></th>
                        <th>&nbsp;</th>
                    </tr>
                    <tr>
                        <td><%=ViewModel.New%></td>
                        <td>
                            <input type="text" name="AddDataExtensionName" value="" title="<%=ViewModel.PressEnterToSave %>"/>
                        </td>
                        <td>
                            <input type="text" name="AddDataExtensionValue" value="" title="<%=ViewModel.PressEnterToSave %>"/>
                        </td>
                    </tr>
                    <% if (ViewModel.UrlDataItem != null) { %>
                        <asp:Repeater ID="rptrExtensions" runat="server">
                            <ItemTemplate>
                                <tr>
                                    <td>&nbsp;</td>
                                    <td>
                                        <input type="text" 
                                            name="DataExtensionName<%# ((UrlDataExtension)Container.DataItem).ObjectId %>"
                                            value="<%# ((UrlDataExtension)Container.DataItem).Name %>" 
                                            title="<%=ViewModel.PressEnterToEdit %>"/>
                                    </td>
                                    <td>
                                        <input type="text" 
                                            name="DataExtensionValue<%# ((UrlDataExtension)Container.DataItem).ObjectId %>" 
                                            value="<%# ((UrlDataExtension)Container.DataItem).Value %>"
                                            title="<%=ViewModel.PressEnterToEdit %>"/>
                                    </td>
                                    <td>
                                        <asp:LinkButton ID="LinkButton1" 
                                            CssClass="deleteButtonX"
                                            Text="" 
                                            OnCommand="DeleteUrlDataExtension" 
                                            CommandArgument="<%# ((UrlDataExtension)Container.DataItem).ObjectId %>" 
                                            runat="server" 
                                            CausesValidation="false" 
                                            ToolTip="<%#ViewModel.DeleteButtonText %>"/>
                                    </td>
                                </tr>
                            </ItemTemplate>
                        </asp:Repeater>
                        <% }%>
                </table>
            </div>
            <asp:LinkButton ID="SaveChangesButton" OnClick="SaveChanges" CssClass="button" runat="server" CausesValidation="true" />
	    </div>
    </form>
    <script type="text/javascript" language="javascript">
        function checkIsLanguageWrong() {
            var ddLanguages = document.getElementById("<%= ddLanguages.ClientID %>");
            if (ddLanguages == null || ddLanguages.length == 0) return true; // this is used for gone URLs, since it makes no sense to show a language dropdown there

            var txtRequestURL = document.getElementById("RequestUrl").value.toLowerCase();
            var selLanguageValue = ddLanguages.options[ddLanguages.selectedIndex].value.toLowerCase();
            var selLanguageText = ddLanguages.options[ddLanguages.selectedIndex].text.toLowerCase();
            if (txtRequestURL.indexOf(selLanguageValue + "/") != 0 && txtRequestURL.indexOf(selLanguageValue + "/") != 1) {
                for (var i = 0; i < ddLanguages.options.length; i++) {
                    if (txtRequestURL.indexOf(ddLanguages.options[i].value.toLowerCase() + "/") == 0 ||
                    txtRequestURL.indexOf(ddLanguages.options[i].value.toLowerCase() + "/") == 1) {
                        var message = '<%= ViewModel.LanguageWarning %>';
                        return window.confirm(message.replace("{0}", ddLanguages.options[i].value).replace("{1}", ddLanguages.options[ddLanguages.selectedIndex].text));
                    }
                }
            }
            return true;
        }
    </script>
</body>
</html>