﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="LicenseAndSettings.aspx.cs" Inherits="Mogul.SeoManager.modules.MogulSeoUrl.LicenseAndSettings, Mogul.SeoManager" MasterPageFile="" %>
<%@ Import Namespace="Mogul.SeoManager.Logic.Data" %>
<%@ Import Namespace="Mogul.SeoManager.modules.MogulSeoUrl.BasePage" %>
<%@ Register Src="UserControls/HeaderRegion.ascx" TagName="HeaderRegion" TagPrefix="uc" %>
<%@ Register Src="UserControls/Header.ascx" TagName="Header" TagPrefix="uc" %>
<%@ Register Src="UserControls/TabNavigation.ascx" TagName="TabNavigation" TagPrefix="uc" %>

<asp:Content ContentPlaceHolderID="HeaderContentRegion" runat="server">
    <uc:HeaderRegion ID="HeaderRegionControl" runat="server"/>
</asp:Content>

<asp:Content ID="ContentMainRegion" ContentPlaceHolderID="FullRegion" runat="server">
    <uc:Header ID="headerControl" runat="server"/>
    <div class="clearfix" id="content-container">
        <uc:TabNavigation ID="tabNavigationControl" runat="server" />
        <ul id="tabs" class="clearfix">
           <li class="selected"><a href="#/tableview" title="<%= ViewModel.SettingsTabText %>"><%= ViewModel.SettingsTabText %></a></li>
           <li><a href="#/expview" title="<%= ViewModel.ExpTabText %>"><%= ViewModel.ExpTabText %></a></li>
           <li><a href="#/delview" title="<%= ViewModel.DeleteText %>"><%= ViewModel.DeleteText %></a></li>
           <li><a href="#/rewview" title="<%= ViewModel.RulesTitle %>"><%= ViewModel.RulesText %></a></li>
           <li><a href="#/rigview" title="<%= ViewModel.AccessTitle %>"><%= ViewModel.AccessText %></a></li>
           <li><a href="#/robview" title="Robots.txt">Robots.txt</a></li>
        </ul>
        <div id="content" class="bord">
            <section id="tableview">
                <h2><%= ViewModel.SettingsHeading %></h2>
                <asp:Label runat="server" ID="SaveResultLabel" CssClass="successMessage" />
                <div id="tblSettingsView">
                    <h3><%= ViewModel.UseAlternateLanguageUrls%></h3><h4><%= ViewModel.UseAlternateLanguageUrlsValue%></h4>
                    <h3><%= ViewModel.FileNotFound%></h3><h4><%= ViewModel.FileNotFoundValue%></h4>
                    <h3><%= ViewModel.FileGone%></h3><h4><%= ViewModel.FileGoneValue%></h4>
                    <h3><%= ViewModel.RegExUrlPatternCacheTimeout%></h3><h4><%= ViewModel.RegExUrlPatternCacheTimeoutValue%></h4>
                    <h3><%= ViewModel.IgnoredUrls%></h3><h4><asp:Repeater ID="rptIgnoredUrls" runat="server">
                            <ItemTemplate><%# Container.DataItem.ToString() %><br /></ItemTemplate>
                        </asp:Repeater></h4>
                    <h3><%= ViewModel.IgnoredPatterns%></h3><h4><asp:Repeater ID="rptIgnoredPatterns" runat="server">
                        <ItemTemplate><%# Container.DataItem.ToString() %><br /></ItemTemplate>
                    </asp:Repeater></h4>
                    <h3><%= ViewModel.InvalidCharsRegexPattern%></h3><h4><%= ViewModel.InvalidCharsRegexPatternValue%></h4>
                    <h3><%= ViewModel.InvalidCharsToRemoveRegexPattern%></h3><h4><%= ViewModel.InvalidCharsToRemoveRegexPatternValue%></h4>
                    <h3><%= ViewModel.ReplacementChar%></h3><h4><%= ViewModel.ReplacementCharValue%></h4>
                    <h3><%= ViewModel.UseEPiServerDefaultUrlFormatLabel %></h3><h4><%= ViewModel.UseEPiServerDefaultUrlFormat%></h4>
                    <h3><%= ViewModel.EnableCanonicalLinkInMVCLabel %></h3><h4><%= ViewModel.EnableCanonicalLinkInMVC %></h4>
                    <h3><%= ViewModel.AllowOverridingLabel %></h3><h4><%= ViewModel.AllowOverriding %></h4>
                    <h3><%= ViewModel.UseEpiSimpleURLAsMasterURLLabel %></h3><h4><%= ViewModel.UseEpiSimpleURLAsMasterURL %></h4><br />
                    <h4><i><%= ViewModel.RequiresRestart %></i></h4>
        		    <div class="filter">
                        <a href="#" class="button" id="edit-settings"><%= ViewModel.EditSettings%></a>
				    </div>
                </div>
                <div id="tblSettingsEdit" class="hidden">                    
                    <table cellpadding="0" cellspacing="0" class="tblSettings">
                        <tr>
                            <td class="tdLeft"><%= ViewModel.UseAlternateLanguageUrls%></td>
                            <td class="rad"><asp:RadioButtonList runat="server" ID="useAlternateLangUrlsRadioButtonList" RepeatDirection="Horizontal" /></td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.FileNotFound%></td>
                            <td>
                                <asp:TextBox runat="server" ID="fileNotFoundTextBox"  ValidationGroup="Save"></asp:TextBox>
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="fileNotFoundTextBox" ID="fileNotFoundReqVal" ValidationGroup="Save"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.FileGone%></td>
                            <td>
                                <asp:TextBox runat="server" ID="fileGoneTextBox"  ValidationGroup="Save"></asp:TextBox>
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="fileGoneTextBox" ID="fileGoneReqVal"  ValidationGroup="Save"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.RegExUrlPatternCacheTimeout %></td>
                            <td>
                                <asp:TextBox runat="server" ID="regExUrlPatternCacheTimeoutTextBox"  ValidationGroup="Save"></asp:TextBox>
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="regExUrlPatternCacheTimeoutTextBox" ID="regExUrlPatternCacheTimeoutReqVal" ValidationGroup="Save"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.IgnoredUrls%></td>
                            <td class="tdRight">
                                <table>
                                    <tr>
                                        <td><input name="AddIgnoredUrlsTextBox" type="text" value="" class="episize240" /></td>
                                        <td><asp:LinkButton runat="server" ID="AddIgnoredUrlLinkButton" OnClick="AddIgnoredLinkButton_OnClick" CssClass="aX" Text="." /></td>
                                    </tr>
                                    <asp:Repeater ID="rptEditIgnoredUrls" runat="server">
                                        <ItemTemplate>
                                            <tr>
                                                <td><input type="text" name="IgnoredUrls<%# Container.ItemIndex%>" value="<%# Container.DataItem %>" class="episize240"/></td>
                                                <td><asp:LinkButton CssClass="dX" Text="." OnCommand="DeleteIgnoredUrls" CommandArgument="<%# Container.ItemIndex %>" ToolTip="<%#ViewModel.DeleteToolTip %>" runat="server" CausesValidation="False" /></td>
                                            </tr>
                                        </ItemTemplate>
                                    </asp:Repeater>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.IgnoredPatterns%></td>
                            <td class="tdRight">
                                <table>
                                    <tr>
                                        <td><input name="AddIgnoredPatternNameTextBox" type="text" value="" class="episize240"/></td>
                                        <td><input name="AddIgnoredPatternValueTextBox" type="text" value="" class="episize240 mrg"/></td>
                                        <td><asp:LinkButton runat="server" ID="AddIgnoredPatternLinkButton" OnClick="AddIgnoredPatternLinkButton_OnClick"  CssClass="aX" Text="." /></td>
                                    </tr>
                                    <asp:Repeater ID="rptEditIgnoredPatterns" runat="server">
                                        <ItemTemplate>
                                            <tr>
                                                <td><input type="text" name="IgnoredPatternName<%# Container.ItemIndex%>" value="<%# ((KeyValuePair<string, string>)Container.DataItem).Key %>" class="episize240"/></td>
                                                <td><input type="text" name="IgnoredPatternValue<%# Container.ItemIndex%>" value="<%# ((KeyValuePair<string, string>)Container.DataItem).Value %>" class="episize240 mrg"/></td>
                                                <td><asp:LinkButton CssClass="dX" Text="." OnCommand="DeleteIgnoredPatterns" CommandArgument="<%# Container.ItemIndex %>" ToolTip="<%#ViewModel.DeleteToolTip %>" runat="server" CausesValidation="False" /></td>
                                            </tr>
                                        </ItemTemplate>
                                    </asp:Repeater>               
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.InvalidCharsRegexPattern %></td>
                            <td>
                                <asp:TextBox runat="server" ID="tbInvalidCharsRegexPattern" ValidationGroup="Save"></asp:TextBox>
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="tbInvalidCharsRegexPattern" ID="rfvInvalidCharsRegexPattern" ValidationGroup="Save"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.InvalidCharsToRemoveRegexPattern %></td>
                            <td>
                                <asp:TextBox runat="server" ID="tbInvalidCharsToRemoveRegexPattern" ValidationGroup="Save"></asp:TextBox>
                                <asp:RequiredFieldValidator runat="server" ControlToValidate="tbInvalidCharsToRemoveRegexPattern" ID="rfvInvalidCharsToRemoveRegexPattern" ValidationGroup="Save"/>
                            </td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.UseEPiServerDefaultUrlFormatLabel%></td>
                            <td class="rad"><asp:RadioButtonList runat="server" ID="rblUseDefaultUrlFormat" RepeatDirection="Horizontal" /></td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.EnableCanonicalLinkInMVCLabel %></td>
                            <td class="rad"><asp:RadioButtonList runat="server" ID="rblEnableCanonicalLinkInMVC" RepeatDirection="Horizontal" /></td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.AllowOverridingLabel %></td>
                            <td class="rad"><asp:RadioButtonList runat="server" ID="rblAllowOverriding" RepeatDirection="Horizontal" /></td>
                        </tr>
                        <tr>
                            <td class="tdLeft"><%= ViewModel.UseEpiSimpleURLAsMasterURLLabel %></td>
                            <td class="rad"><asp:RadioButtonList runat="server" ID="rblUseEpiSimpleURLAsMasterURL" RepeatDirection="Horizontal" /></td>
                        </tr>
                        <tr>
                            <td colspan="2"><i><%= ViewModel.RequiresRestart %></i></td>
                        </tr>
                    </table>
                    <div class="filter"><asp:LinkButton runat="server" ID="SaveSettings" CssClass="button" OnClick="SaveSettings_OnClick" CausesValidation="True" ValidationGroup="Save" /></div>
                </div>
            </section>
            <section id="expview">
	           <div class="filter">
                    <h2><%= ViewModel.ExportHeading %></h2>
                    <h5><%= ViewModel.ExportDesc %></h5>
			        <asp:LinkButton runat="server" ID="btnExport" CssClass="button" OnClick="btnExport_OnClick" /><hr />
	           </div>
	           <div class="filter">
                    <h2><%= ViewModel.ImportHeading %></h2>
                    <h5><%= ViewModel.ImportDesc %><br/><%= ViewModel.UseIt %></h5>
                    <asp:FileUpload ID="fileUpload" runat="server" /><br/>
                    <asp:LinkButton runat="server" ID="btnImport" CssClass="button" OnClick="btnImport_OnClick" OnClientClick="$('img.ajax').css('visibility','visible');return true;" /><br /><br />
                    <asp:Label ID="lblMessage" runat="server" /><br/><img class="ajax" src="img/ajax-loader2.gif">
	           </div>
            </section>
            <section id="delview">
                <h2><%= ViewModel.DeleteText %></h2>
                <p><%= ViewModel.DelMessage %><br/><%= ViewModel.DeleteIt %></p>
                <asp:LinkButton ID="lbDel" CssClass="button" runat="server" OnClick="DeleteSiteUrls" /><br />
                <asp:Label runat="server" ID="UserMessage" CssClass="successMessage"/>
            </section>
            <section id="rewview">
                <h2><%= ViewModel.RulesTitle %></h2>
                <p><%= ViewModel.RulesInfo %></p>
                <table class="tblRR">
                    <tr><td><%= ViewModel.InputPattern %>:</td><td><%= ViewModel.Output %>:</td><td><%= ViewModel.Status %>:</td><td>&nbsp;</td></tr>
                    <tr>
                        <td><asp:TextBox ID="tbInput" runat="server" /></td>
                        <td><asp:TextBox ID="tbOutput" runat="server" /></td>
                        <td><asp:DropdownList ID="ddlStatus" runat="server">
                                <asp:ListItem Text="200" Value="1200" />
                                <asp:ListItem Text="301" Value="1301" />
                                <asp:ListItem Text="404" Value="1404" />
                                <asp:ListItem Text="410" Value="1410" />
                            </asp:DropdownList></td>
                        <td><asp:LinkButton ID="lbAdd" Text="." ToolTip="<%# ViewModel.AddToolTip %>" CssClass="aX" OnClick="lbAddClick" runat="server" /></td>
                    </tr>
                    <asp:Repeater ID="rptRegexURLs" runat="server">
                        <ItemTemplate>
                            <tr>
                                <td><asp:TextBox ID="tb1" runat="server" Text="<%# (currUrl = (UrlData)Container.DataItem).RequestUrl %>" /></td>
                                <td><asp:TextBox ID="tb2" runat="server" Text="<%# currUrl.RedirectUrl %>" /></td>
                                <td>
                                    <asp:DropdownList ID="ddl1" runat="server" SelectedValue="<%# currUrl.HttpStatus %>">
                                        <asp:ListItem Text="200" Value="1200" />
                                        <asp:ListItem Text="301" Value="1301" />
                                        <asp:ListItem Text="404" Value="1404" />
                                        <asp:ListItem Text="410" Value="1410" />
                                    </asp:DropdownList>
                                </td>
                                <td><asp:LinkButton Text="." ToolTip="<%# ViewModel.Update %>" CssClass="eX" OnCommand="btnUpdateClick" CommandArgument="<%# currUrl.ObjectId %>" runat="server" /></td>
                                <td><asp:LinkButton Text="." ToolTip="<%# ViewModel.DeleteToolTip %>" CssClass="dX" OnClientClick="<%# ViewModel.AreYouSure %>" OnCommand="btnRemoveClick" CommandArgument="<%# currUrl.ObjectId %>" runat="server" /></td>
                            </tr>
                        </ItemTemplate>
                    </asp:Repeater>
                </table>
            </section>
            <section id="rigview">
                <h2><%= ViewModel.AccessTitle %></h2>
                <p><%= ViewModel.AccessInfo %></p>
                <img class="ajax" src="img/ajax-loader2.gif" />
                <div id="divRights">
                    <div>
                        <label for="lbPages"><%= ViewModel.PagesText %></label><br />
                        <select id="lbPages" onchange="loadUG(this)" size="7">
                            <option value="<%= BaseAdminPage.Start %>"><%= ViewModel.Start %></option>
                            <option value="<%= BaseAdminPage.View %>"><%= ViewModel.View %></option>
                            <option value="<%= BaseAdminPage.P301 %>"><%= ViewModel.Custom301 %></option>
                            <option value="<%= BaseAdminPage.P301Del %>"><%= ViewModel.Custom301Del %></option>
                            <option value="<%= BaseAdminPage.P404 %>"><%= ViewModel.Pages404 %></option>
                            <option value="<%= BaseAdminPage.P404Del %>"><%= ViewModel.Pages404Del %></option>
                            <option value="<%= BaseAdminPage.P410 %>"><%= ViewModel.Pages410 %></option>
                            <option value="<%= BaseAdminPage.P410Del %>"><%= ViewModel.Pages410Del %></option>
                            <option value="<%= BaseAdminPage.Settings %>"><%= ViewModel.Settings %></option>
                            <option value="<%= BaseAdminPage.SettingsDel %>"><%= ViewModel.SettingsDel %></option>
                        </select>
                    </div>
                    <div>
                        <label for="lbGroupsUsers"><%= ViewModel.LimitedGU %></label><br />
                        <select id="lbGroupsUsers" size="7" multiple></select>
                    </div>
                    <div id="divButtons">
                        <a class="button" onclick="OpenGUBrowser()"><%= ViewModel.AddForbidden %></a><br />
                        <a class="button" onclick="RemoveGUs()"><%= ViewModel.RemoveSelected %></a>
                    </div>
                </div>
            </section>
            <section id="robview">
                <h2>Robots.txt</h2>
                <p><%= ViewModel.RobotsP %></p>
                <asp:TextBox ID="tbRobots" runat="server" TextMode="Multiline" />
                <div>
                    <asp:LinkButton OnClick="CreateRobotsTxt" CssClass="button" ID="btnCreateRobots" runat="server" />
                </div>
                <asp:Label ID="lblRobMessage" runat="server" />
            </section>
        </div>
    </div>
    <footer></footer>
    <script type="text/javascript">
        function BrowserDialogCompleted(returnValue, notUsed) {
            if (returnValue && returnValue.length > 0) {
                saveAccessRights(returnValue, $('#lbPages').val());
            }
        }

        function OpenGUBrowser() {
            if (!($('#lbPages').val())) {
                alert("<%= ViewModel.MustSelectPage %>");
                return;
            }
            OpenDialogUserAndGroupBrowser(0, '', '<%= EPiServer.UriSupport.AbsoluteUrlFromUIBySettings("edit") %>', 
                                true, BrowserDialogCompleted, null, null);
        }

        function saveAccessRights(returnValue, pageName) {
            $.ajax({
                cache: false,
                type: "POST",
                url: "LicenseAndSettings.aspx/AddAccessRights",
                data: '{ arrRet: "' + returnValue.join("|_|") + '", pageName: "' + pageName + '"}',
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    if (msg.d != null && msg.d.length > 0) {
                        for (var i = 0; i < msg.d.length; i++) {
                            $('#lbGroupsUsers').append($('<option>', {
                                value: msg.d[i].Id,
                                text: msg.d[i].UserOrGroupName
                            }));
                        }
                    }
                }
            })
        }

        function loadUG(lbPages) {
            $("#rigview img.ajax").css('visibility', 'visible');
            $('#lbGroupsUsers').empty();
            $.ajax({
                cache: false,
                type: "POST",
                url: "LicenseAndSettings.aspx/LoadUsersAndGroups",
                data: '{ selectedPage: "' + $(lbPages).val() + '"}',
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    $("#rigview img.ajax").css('visibility', 'hidden');
                    if (msg.d != null && msg.d.length > 0) {
                        for (var i = 0; i < msg.d.length; i++) {
                            $('#lbGroupsUsers').append($('<option>', {
                                value: msg.d[i].Id,
                                text: msg.d[i].UserOrGroupName
                            }));
                        }
                    }
                }
            })
        }

        function RemoveGUs(lbPages) {
            if (!$('#lbGroupsUsers').val())
                return;
            $("#rigview img.ajax").css('visibility', 'visible');
            $.ajax({
                cache: false,
                type: "POST",
                url: "LicenseAndSettings.aspx/RemoveUsersAndGroups",
                data: '{ selectedGUs: "' + $('#lbGroupsUsers').val() + '"}',
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    if (msg.d != null && msg.d.length > 0) {
                        for (var i = 0; i < msg.d.length; i++) {
                            $("#lbGroupsUsers option[value='" + msg.d[i] + "']").remove();
                        }
                    }
                    $("#rigview img.ajax").css('visibility', 'hidden');
                }
            })
        }
    </script>
</asp:Content>