﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="NotFoundUrls.aspx.cs" Inherits="Mogul.SeoManager.modules.MogulSeoUrl.NotFoundUrls, Mogul.SeoManager" %>
<%@ Import Namespace="Mogul.SeoManager.Logic.Data" %>
<%@ Register Src="UserControls/HeaderRegion.ascx" TagName="HeaderRegion" TagPrefix="uc" %>
<%@ Register Src="UserControls/Header.ascx" TagName="Header" TagPrefix="uc" %>
<%@ Register Src="UserControls/TabNavigation.ascx" TagName="TabNavigation" TagPrefix="uc" %>
<%@ Register Src="UserControls/TableMetaData.ascx" TagName="MetaData" TagPrefix="uc" %>
<%@ Register tagPrefix="EPiServerUI" namespace="EPiServer.UI.WebControls" assembly="EPiServer.UI" %>

<asp:Content ContentPlaceHolderID="HeaderContentRegion" runat="server">
    <uc:HeaderRegion ID="HeaderRegionControl" runat="server"/>
</asp:Content>

<asp:Content ID="ContentMainRegion" ContentPlaceHolderID="FullRegion" runat="server">
        <uc:Header ID="headerControl" runat="server"/>
        <div class="clearfix" id="content-container">
            <uc:TabNavigation ID="tabNavigationControl" runat="server" />
            <div id="content">
                <section id="urlmanagement">
                    <p><%= ViewModel.HeadingAdd %></p>
                    <a href="EditMetaData.aspx?urlid=0&lang=<%= ViewModel.Language %>&urltype=404" class="addbutton button" title="<%= ViewModel.AddUrl%>"><%= ViewModel.AddUrl%></a>
                    <a href="BulkLoadNotFoundUrls.aspx?pn=<%= Request.QueryString["pn"] %>&urltype=404" id="bulkLoadUrlsButton" class="button" title="<%= ViewModel.BulkLoadUrlsText %>"><%= ViewModel.BulkLoadUrlsText %></a>
                    <p><%= ViewModel.HeadingDelete %></p>
                    <asp:LinkButton ID="btnDeleteAll" CssClass="button r" OnClick="btnDeleteAll_Click" runat="server" />
                    <asp:LinkButton ID="btnDeleteAllLanguage" CssClass="button r" OnClick="btnDeleteAllLanguage_Click" runat="server" />
                    <asp:LinkButton ID="btnDeleteChecked" runat="server" OnClick="btnDeleteChecked_Click" CssClass="button r" />
                    <div class="filter">
                        <p><%= ViewModel.HeadingFilter %></p>
                        <asp:DropDownList ID="ddFilterLanguages" OnSelectedIndexChanged="ddLanguages_SelectedIndexChanged" AutoPostBack="True" runat="server"/>
                        <asp:TextBox ID="txtFilter" CssClass="long" runat="server"/><br />
                        <asp:LinkButton ID="btnFilter" CssClass="button bl" OnClick="btnFilter_click" runat="server"/>
                    </div>
                    <table class="seoTabList editable" cellspacing="0" cellpadding="0">
                        <tr>
                            <th class="n1"><%=ViewModel.Headline %></th>
                            <th class="n2"><%=ViewModel.Metadata %></th>
                            <th class="n3"><%= ViewModel.HeadingLanguage %></th>
                            <th class="n4"><%=ViewModel.Edit %></th>
                            <th class="n5"><%=ViewModel.Delete %></th>
                            <th class="n6"><%= ViewModel.Select %> <input type="checkbox" class="allCB" name="allCB" title="<%= ViewModel.CheckAll %>"  /></th>
                        </tr>
                        <asp:Repeater ID="rptNotFoundUrls" OnItemDataBound="MetaDataBound" runat="server">
                            <ItemTemplate>
                                <tr>
                                    <td class="n1"><a href="<%# ((UrlData)Container.DataItem).RequestUrl %>" target="_blank"><%# ((UrlData)Container.DataItem).RequestUrl%></a></td>
                                    <td class="n2"><uc:MetaData ID="MetaDataControl" runat="server"/></td>
                                    <td class="n3"><%# GetLang(ViewModel.LanguageTranslations, ((UrlData)Container.DataItem).Language) %></td>
                                    <td><a href="EditMetaData.aspx?urlid=<%# ((UrlData)Container.DataItem).ObjectId %>&urltype=404&lang=<%# ((UrlData)Container.DataItem).Language%>" class="editNotFound" title="<%# ViewModel.Edit%>"><img src="img/edit.png" alt="Edit"/></a></td>
                                    <td class="custDelete"><EPiServerUI:ToolButton Enabled="<%# ((UrlData)Container.DataItem).CustomSetting%>" 
                                    OnCommand="btnRemoveClick" CommandArgument="<%# ((UrlData)Container.DataItem).ObjectId %>" 
                                    ToolTip="<%#ViewModel.Delete %>"
                                    OnClientClick="<%# ViewModel.AreYouSure %>" CssClassInnerButton="epi-cmsButton-tools epi-cmsButton-Delete btnRemove" runat="server" /></td>
                                    <td class="cB"><input type="checkbox" name="cb<%# ((UrlData)Container.DataItem).ObjectId %>" /></td>
                                </tr>   
                            </ItemTemplate>
                        </asp:Repeater>
                   </table>
                   <div id="pager">
                       <asp:Repeater ID="rptPaging" OnItemCommand="ItemCommand" runat="server">
                          <ItemTemplate>
                             <asp:LinkButton ID="lbP" CommandArgument="<%# Container.DataItem %>" Text="<%#Container.DataItem %>" runat="server"></asp:LinkButton>
                          </ItemTemplate>
                       </asp:Repeater>
                   </div>
                   <div class="pgStatus">
                    <%= ViewModel.HitsText %>
                   </div>
                </section>
            </div>
        </div>
    <footer></footer>
    <script type="text/javascript">
        $(document).ready(function () {
            $('.allCB').change(function () {
                $("td.cB input").prop('checked', $(this).prop("checked"));
                if ($(this).prop("checked")) {
                    $(this).prop('title', "<%= ViewModel.UnCheckAll %>");
            	}
            	else {
                	$(this).prop('title', "<%= ViewModel.CheckAll %>");
            	}
        })
    });
    </script>
</asp:Content>